Bug 192032 - Snapshots of mirrors are not supported yet: lvcreate should not create them
Snapshots of mirrors are not supported yet: lvcreate should not create them
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lvm2 (Show other bugs)
4.0
All Linux
high Severity high
: ---
: ---
Assigned To: Jonathan Earl Brassow
:
Depends On:
Blocks: 181409
  Show dependency treegraph
 
Reported: 2006-05-16 18:32 EDT by Jonathan Earl Brassow
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: RHBA-2006-0504
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 17:48:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix problem (795 bytes, patch)
2006-05-17 02:54 EDT, Jonathan Earl Brassow
no flags Details | Diff

  None (edit)
Description Jonathan Earl Brassow 2006-05-16 18:32:19 EDT
Take a snapshot of an in-sync mirror and do an 'lvs'.  The mirror copy% will be
0.  Doing a 'dmsetup status', however, shows that the mirror is, in fact, in-sync.
Comment 1 Jonathan Earl Brassow 2006-05-17 02:54:29 EDT
Created attachment 129301 [details]
Patch to fix problem

Check if mirror is under an origin.
Comment 2 Alasdair Kergon 2006-05-24 09:35:56 EDT
Other parts of the code also don't support snapshots of mirrors yet.

Fixing lvcreate instead to prevent them from being created in the first place.
Comment 6 Red Hat Bugzilla 2006-08-10 17:48:26 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0504.html

Note You need to log in before you can comment on or make changes to this bug.